<?php
include"../koneksi.php";

$nik = $_POST['nik'];
$user = $_POST['user'];
$password = $_POST['password'];
$kasta = $_POST['kasta'];

if ($nik == '') {
    $data['error']['nik'] = 'NIK Tidak Boleh Kosong';
}
if ($user == '') {
    $data['error']['user'] = 'User Name Tidak Boleh Kosong';
}
if ($password == '') {
    $data['error']['password'] = 'Password Tidak Boleh Kosong';
}
if ($kasta == '') {
    $data['error']['kasta'] = 'Level Tidak Boleh Kosong';
}

if (empty($data['error'])) {
    
		$query = "insert INTO user SET
										User_Name = '$user',
										Nik = '$nik',
										Password = '$password',
										Dept = '1',
										Kasta = '$kasta'
										";

		mysqli_query($koneksi, $query)
		or die ("Gagal Perintah SQL".mysql_error());
		
    $data['hasil'] = 'sukses';
    
} else {
    
    $data['hasil'] = 'gagal';
}

echo json_encode($data);

?>

